Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMAnimatedPathData.SVGOMPathSegList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGPathSegList
              org.apache.batik.dom.svg.SVGOMAnimatedPathData.SVGOMPathSegList

All Implemented Interfaces:
  SVGPathSegConstants, SVGPathSegList

Enclosing class:
  SVGOMAnimatedPathData

public class SVGOMAnimatedPathData.SVGOMPathSegList
extends AbstractSVGPathSegList

SVGPointList implementation for the static 'points' attribute of the element.

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList
`AbstractSVGPathSegList.PathSegListBuilder, AbstractSVGPathSegList.SVGPathSegArcItem, AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem, AbstractSVGPathSegList.SVGPathSegCurvetoCubicSmoothItem, AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem, AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticSmoothItem, AbstractSVGPathSegList.SVGPathSegItem, AbstractSVGPathSegList.SVGPathSegLinetoHorizontalItem, AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem, AbstractSVGPathSegList.SVGPathSegMovetoLinetoItem`

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList
`SVG_PATHSEG_LIST_SEPARATOR`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Fields inherited from interface org.apache.batik.dom.svg.SVGPathSegConstants
`PATHSEG_ARC_ABS_LETTER, PATHSEG_ARC_REL_LETTER, PATHSEG_CLOSEPATH_LETTER, PATHSEG_CURVETO_CUBIC_ABS_LETTER, PATHSEG_CURVETO_CUBIC_REL_LETTER, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS_LETTER, PATHSEG_CURVETO_CUBIC_SMOOTH_REL_LETTER, PATHSEG_CURVETO_QUADRATIC_ABS_LETTER, PATHSEG_CURVETO_QUADRATIC_REL_LETTER, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS_LETTER, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL_LETTER, PATHSEG_LINETO_ABS_LETTER, PATHSEG_LINETO_HORIZONTAL_ABS_LETTER, PATHSEG_LINETO_HORIZONTAL_REL_LETTER, PATHSEG_LINETO_REL_LETTER, PATHSEG_LINETO_VERTICAL_ABS_LETTER, PATHSEG_LINETO_VERTICAL_REL_LETTER, PATHSEG_MOVETO_ABS_LETTER, PATHSEG_MOVETO_REL_LETTER`

Constructor Summary
`SVGOMAnimatedPathData.SVGOMPathSegList()`

Method Summary
`protected org.w3c.dom.DOMException` | `createDOMException(short type, java.lang.String key, java.lang.Object[] args)` Create a DOMException.
`protected SVGException` | `createSVGException(short type, java.lang.String key, java.lang.Object[] args)` Create a SVGException.
`protected java.lang.String` | `getValueAsString()` Retrieve the value of the attribute 'points'.
`protected void` | `setAttributeValue(java.lang.String value)` Set the value of the attribute 'points'

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGPathSegList
`appendItem, checkItemType, createPathSegItem, createSVGItem, doParse, getItem, getItemSeparator, initialize, insertItemBefore, removeItem, replaceItem`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, getItemImpl, getNumberOfItems, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, resetAttribute, resetAttribute, revalidate, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGPathSegList
`clear, getNumberOfItems`

Constructor Detail

### SVGOMAnimatedPathData.SVGOMPathSegList

    public SVGOMAnimatedPathData.SVGOMPathSegList()

Method Detail

### createDOMException

    protected org.w3c.dom.DOMException createDOMException(short type,
                                                          java.lang.String key,
                                                          java.lang.Object[] args)

  Create a DOMException.

  Specified by:
    `createDOMException` in class `AbstractSVGList`

### createSVGException

    protected SVGException createSVGException(short type,
                                              java.lang.String key,
                                              java.lang.Object[] args)

  Create a SVGException.

  Specified by:
    `createSVGException` in class `AbstractSVGPathSegList`
  Returns:
    SVGException

### getValueAsString

    protected java.lang.String getValueAsString()

  Retrieve the value of the attribute 'points'.

  Specified by:
    `getValueAsString` in class `AbstractSVGList`
  Returns:
    value of the attribute

### setAttributeValue

    protected void setAttributeValue(java.lang.String value)

  Set the value of the attribute 'points'

  Specified by:
    `setAttributeValue` in class `AbstractSVGList`
  Parameters:
    `value` - new value of the attribute the value can be null if no item are present in the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.